Rails.application.routes.draw do

get 'ad_banners/widget'

locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
      resources :ad_banners
      resources :ad_images
   end
  end

end
